Index: dvblast.c
===================================================================
--- dvblast.c	(revision 20)
+++ dvblast.c	(working copy)
@@ -77,18 +77,24 @@
     while ( fgets( psz_line, sizeof(psz_line), p_file ) != NULL )
     {
         output_t *p_output = NULL;
-        char *psz_parser, *psz_token, *psz_token2;
+        char *psz_parser, *psz_token, *psz_token2, *psz_token3;
         struct in_addr maddr;
         uint16_t i_port = DEFAULT_PORT;
         uint16_t i_sid = 0;
         uint16_t *pi_pids = NULL;
         int i_nb_pids = 0;
+        int b_rawudp = 0;
         int b_watch;
 
         psz_token = strtok_r( psz_line, "\t\n ", &psz_parser );
         if ( psz_token == NULL )
             continue;
 
+        if ( (psz_token3 = strrchr( psz_token, '/' )) != NULL )
+        {
+            *psz_token3 = '\0';
+            b_rawudp = ( strncasecmp( psz_token3 + 1, "udp", 3 ) == 0 );
+        }
         if ( (psz_token2 = strrchr( psz_token, ':' )) != NULL )
         {
             *psz_token2 = '\0';
@@ -146,6 +152,7 @@
         if ( p_output != NULL )
         {
             demux_Change( p_output, i_sid, pi_pids, i_nb_pids );
+            p_output->b_rawudp = b_rawudp;
             p_output->b_watch = (b_watch == 1);
             p_output->b_still_present = 1;
         }
Index: output.c
===================================================================
--- output.c	(revision 20)
+++ output.c	(working copy)
@@ -137,7 +137,7 @@
     int i;
     int i_outblocks = NB_BLOCKS;
 
-    if ( !b_output_udp )
+    if ( !b_output_udp && !p_output->b_rawudp )
     {
         p_iov[0].iov_base = p_rtp_hdr;
         p_iov[0].iov_len = sizeof(p_rtp_hdr);
Index: dvblast.h
===================================================================
--- dvblast.h	(revision 20)
+++ dvblast.h	(working copy)
@@ -74,6 +74,7 @@
     uint16_t *pi_pids;
     int i_nb_pids;
     int b_watch;
+    int b_rawudp;
     int b_still_present;
 } output_t;
 
Index: INSTALL
===================================================================
--- INSTALL	(revision 20)
+++ INSTALL	(working copy)
@@ -24,10 +24,10 @@
 
 DVBlast reads a configuration file containing one or several lines in the
 format :
-<IP>[:<port>]	<always on>	<SID>	[<PID>,]*
+<IP>[:<port>][/udp]	<always on>	<SID>	[<PID>,]*
 
 For instance :
-239.255.0.1:1234	1	10750	1234,1235,1236
+239.255.0.1:1234		1	10750	1234,1235,1236
 
 The configuration file can be reloaded by sending "HUP" to the program, or
 via the dvblastctl program.
@@ -38,6 +38,16 @@
 assuming the module is dead. Every time it is reset a few TS packets
 will be lost, that is why this feature is optional.
 
+The optional "/udp" parameter can be used to force DVBlast to output
+raw UDP stream. This functionality is provided for backwards compatibility
+with IPTV set top boxes that don't support RTP and should only be used
+if absolutely necessary. If you need both RTP and UDP streams of the same
+program, specify them on separate lines like this:
+
+239.255.0.1:1234	1	10750
+239.255.0.2:1234/udp	1	10750
+
+
 There are three ways of configuring the PIDs to stream :
 
 1. SID-based
